jellyfish (2.3.0-17) unstable; urgency=medium

  * d/clean: new: cleanup build artifacts. (Closes: #1046793)
  * d/rules: cleanup dh_auto_clean override.
    This is made possible by the introduction of the d/clean file.
  * d/rules: remove config.h from header package.
    This fixes PACKAGE_NAME macro definition collision with potential
    autotools consumers in reverse dependencies, per lintian warning.
  * d/libjellyfish-2.0-2.lintian-overrides: fix broken override.
  * d/libjellyfish-2.0-2.lintian-overrides: remove unused override.
  * d/jellyfish-examples.lintian-overrides: renamed.
    The file is renamed to d/jellyfish.lintian-overrides.  The content is also
    adjusted to reflect that the overriden spelling error moved package.

 -- Étienne Mollier <emollier@debian.org>  Tue, 05 Dec 2023 19:11:55 +0100

jellyfish (2.3.0-16) unstable; urgency=medium

  [ Étienne Mollier ]
  * d/rules: output report when tests fail.

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Rebuild using gcc-13
    Closes: #1037702

 -- Andreas Tille <tille@debian.org>  Sat, 15 Jul 2023 15:11:33 +0200

jellyfish (2.3.0-15) unstable; urgency=medium

  * Fix dh_missing
    Closes: #1017261

 -- Andreas Tille <tille@debian.org>  Wed, 28 Sep 2022 21:48:56 +0200

jellyfish (2.3.0-14) unstable; urgency=medium

  * Add gcc-12.patch: fix ftbfs with gcc-12.
    Thanks to Guillaume Marçais (Closes: #1012953)
  * d/copyright: identify randomc.h is under GPL-3.
  * Standards-Version: 4.6.1 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 Jun 2022 23:10:04 +0200

jellyfish (2.3.0-13) unstable; urgency=medium

  * Disable reprotest
  * Use python configuration from autoconf-archive
    Closes: #1009451

 -- Andreas Tille <tille@debian.org>  Wed, 13 Apr 2022 09:28:09 +0200

jellyfish (2.3.0-12) unstable; urgency=medium

  * Do not hardcode Perl version
    Closes: #993326

 -- Andreas Tille <tille@debian.org>  Tue, 31 Aug 2021 09:16:42 +0200

jellyfish (2.3.0-11) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix Homepage
    Closes: #983273

  [ Étienne Mollier ]
  * d/watch: repair broken link to github
  * add fix-autoreconf.patch; fix ftbfs with autoreconf 2.70  (Closes: #978843)
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + libjellyfish-2.0-dev: Drop Multi-Arch: same.
    + jellyfish-examples: Add Multi-Arch: foreign.
  * d/control: add myself to uploaders

 -- Étienne Mollier <emollier@debian.org>  Sat, 28 Aug 2021 21:01:20 +0200

jellyfish (2.3.0-10) unstable; urgency=medium

  [ Adrian Bunk ]
  * Also fix building with -l and -I in builddir in the existing -L fix
    Closes: #976340

 -- Andreas Tille <tille@debian.org>  Tue, 02 Mar 2021 12:50:29 +0100

jellyfish (2.3.0-9) unstable; urgency=medium

  * Team upload.
  * Silence additional warning/error appearing with -O3.
    Closes: #973431
  * Restrict to architectures that support the atomic instructions used by
    upstream.
    Closes: #976340

 -- Sascha Steinbiss <satta@debian.org>  Sun, 21 Feb 2021 12:09:45 +0100

jellyfish (2.3.0-8) unstable; urgency=medium

  * Add Breaks+Replaces: jellyfish-examples (<< 2.3.0-7)
    Closes: #976429

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2020 09:54:41 +0100

jellyfish (2.3.0-7) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * For jellyfish-examples drop 'jellyfish' to a recommends from a depends.

  [ Nilesh Patra ]
  * Enable build on 32bit architectures
    Closes: #962184

  [ Andreas Tille ]
  * Ignore tests on 32 bit architectures since test data are to big
  * Move some arch dependant binaries from examples to jellyfish package
  * Enable dh_missing --fail-missing
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Dec 2020 14:13:45 +0100

jellyfish (2.3.0-6) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix permission of shared library
    Closes: #962183

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 04 Jun 2020 16:23:12 +0200

jellyfish (2.3.0-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Architecture: any (for examples: all)
  * Standards-Version: 4.5.0 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 03 Jun 2020 21:04:40 +0200

jellyfish (2.3.0-4) unstable; urgency=medium

  * Remove NEWS.Debian now that we ship the python module again.
  * Force the use of Bash for testing

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 16 Dec 2019 16:19:39 +0100

jellyfish (2.3.0-3) unstable; urgency=medium

  * Upstream only supports AMD64 (Closes: #941920)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 17 Nov 2019 14:23:43 +0100

jellyfish (2.3.0-2) unstable; urgency=medium

  * Restore jellyfish-examples, needed for the autopkgtest (Closes: #941262)
  * Enable an additional two test categories in the autopkgtests
  * Enabled htslib, to read SAM/BAM/CRAM files
  * Restore python3-dna-jellyfish package

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 27 Sep 2019 18:29:29 +0200

jellyfish (2.3.0-1) unstable; urgency=medium

  * Team upload

  [Andreas Tille]
  * Install config.h which is needed by sailfish package
  * New upstream version
  * debhelper-compat 12

  [Steffen Moeller]
  * Standards-Version: 4.4.0
  * d/u/metadata: Added ref to conda
  * deactivated installation of examples, which have changed considerably
  * removed build-dependency on python2 (prime reason to upload)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 13:37:07 +0200

jellyfish (2.2.10-2) unstable; urgency=medium

  * debian/control: removed unused valgrind dependency
  * Standards-Version: 4.3.0
  * Improve reproducibilty, drop /usr/share/doc/jellyfish-
    examples/examples/swig*
  * Remove dependency_libs field in libjellyfish-2.0.la.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 24 Dec 2018 06:46:27 -0800

jellyfish (2.2.10-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Adapt watch file to also catch v$VERSION tarball names
  * Clean up quilt patches
  * Catch exceptions by reference
  * Do not replace random '-L' strings in command line
    Closes: #907819
  * Drop python3-dna-jellyfish package since the Python module had issues in
    build process and nobody seemed to be interested to help solving theses

 -- Andreas Tille <tille@debian.org>  Fri, 21 Sep 2018 08:45:53 +0200

jellyfish (2.2.8-3) unstable; urgency=medium

  * Build and install fastq2sam, which fixes Debci tests
  * Incorporates suggestions from the Multiarch hinter.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 16 Mar 2018 10:57:09 -0700

jellyfish (2.2.8-2) unstable; urgency=medium

  * Add the missing small_mers.sh file, courtesy upstream.
  * Fix arm/powerpc build, patch courtesy upstream (Closes: #890137)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 12 Mar 2018 05:31:00 -0700

jellyfish (2.2.8-1) unstable; urgency=medium

  * New upstream version
  * Dropped rename-python-module-to-dna_jellyfish.patch as upstream has
    incorporated it.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 11 Feb 2018 09:21:51 -0800

jellyfish (2.2.7-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 05 Feb 2018 22:22:17 +0100

jellyfish (2.2.6-6) unstable; urgency=medium

  * Really apply portability patch
    Closes: #871697

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2017 12:42:21 +0200

jellyfish (2.2.6-5) unstable; urgency=medium

  * Make jellyfish portable (Thanks for the patch to Edmund Grimley Evans
    <edmund.grimley.evans@gmail.com>)
    Closes: #871697

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2017 00:09:35 +0200

jellyfish (2.2.6-4) unstable; urgency=medium

  * Make sure reproducible patch will not break test suite (Thanks to
    Chris Lamb <lamby@debian.org> for the fix)
    Closes: #863015
  * Autoreconf not needed with debhelper 10
  * Do not parse debian/changelog
  * Fix whatis entry in manpage
  * Fix spelling in manpage

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2017 14:40:40 +0200

jellyfish (2.2.6-3) unstable; urgency=medium

  * Explicitly disable parallel building
    Closes: #873318

 -- Andreas Tille <tille@debian.org>  Sat, 26 Aug 2017 21:53:10 +0200

jellyfish (2.2.6-2) unstable; urgency=medium

  * Ignore result of "big" test to let autopkgtest pass
  * debhelper 10
  * Parallel builds seem to cause problems - use --no-parallel
  * d/watch: version=4
  * Do not fail on compiler warnings to enable building with gcc-7.
    (Thanks for the patch to Adrian Bunk <bunk@debian.org>)
    Closes: #872262
  * Enable full hardening
    Closes: #865608
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Aug 2017 14:46:44 +0200

jellyfish (2.2.6-1) unstable; urgency=medium

  * New upstream version
  * Rename python module from python3-jellyfish to python3-dna-jellyfish
    (thanks for the patches to "Diego M. Rodriguez" <diego.plan9@gmail.com>)
    Closes: #819016
  * cme fix dpkg-control
  * hardening=+all,-pie

 -- Andreas Tille <tille@debian.org>  Tue, 30 Aug 2016 14:16:52 +0200

jellyfish (2.2.5-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Enable Python and Perl bindings

  [ Scott Kitterman ]
  * Rename python-jellyfish to python3-jellyfish
  * Change python-dev build-dep to python3-all-dev (since this is a python3
    extension)
  * Add dh-python to build-depends
  * Add building with python3
  * Add call to setup.py in dh_autobuild override

  [ Michael R. Crusoe ]
  * New upstream version, fixes dataloss bug
  * Upgrade Standards-Version to 3.9.7
  * Mark python3- package as arch specifc, not indep; include shared library
    dependencies
  * Likewise with the -perl package; also build & install them
  * debian/patches/drop-rpath: don't compile in a relative path as per policy
  * debian/patches/modern-g++: use recent g++, not the unavailable version 4.4
  * debian/patches/pkg-config-with-name: fix error in upstream: pkg-config was
    called without the package name
  * debian/rules: enable parallel builds & improve clean target
  * debian/control: add myself as an uploader

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sat, 12 Mar 2016 08:09:07 -0800

jellyfish (2.2.4-2) unstable; urgency=medium

  * enable build with c++11 and -Werror=deprecated-declarations compile
    flag (thanks for the hint to Gert Wollny)
    Closes: #808537

 -- Andreas Tille <tille@debian.org>  Fri, 25 Dec 2015 12:17:44 +0100

jellyfish (2.2.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2015 21:57:20 +0100

jellyfish (2.2.3-3) unstable; urgency=medium

  * team upload
  * include missing header

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sun, 20 Sep 2015 08:46:24 +0200

jellyfish (2.2.3-2) unstable; urgency=medium

  [ Charles Plessy ]
  * Patch with Upstream commit a3c491a for GCC5; closes: #795847.

  [ Andreas Tille ]
  * Do not mention removed file from d/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 20 Aug 2015 09:07:18 +0200

jellyfish (2.2.3-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Replace unneeded dependency by @builddeps@ in debian/tests/control
  * New version needs valgrind as Build-Depends to pass all tests
  * New version closes: #777922

  [ Charles Plessy ]
  * New upstream release.
  * Removed yaggo and clang patches, obsoleted upstream.

 -- Andreas Tille <tille@debian.org>  Fri, 03 Jul 2015 20:06:28 +0200

jellyfish (2.1.4-1) unstable; urgency=medium

  * New upstream version
  * d/watch: point to new location on Github
  * cme fix dpkg-control
  * new upstream version needs autoreconf
  * New Build-Depends: yaggo, pkg-config, bc, time, procps
  * debian/rules: Make sure package builds twice in a row
  * d/copyright:
     - Adapted to file locations in new upstream version
     - Additional copyright paragraph for included libjsoncpp
     - Additional copyright paragraph for unit tests
  * checking whether it is possible to use Debian packaged libjsoncpp
    failed - add lintian override to use internal one
  * Split libjellyfish and libjellyfish-dev packages up from single
    package, add jellyfish-examples package containing test suite
  * Add autopkgtest
  * Fix FTBFS with clang (thanks for the patch to Martin Steghöfer)
    Closes: #749136

 -- Andreas Tille <tille@debian.org>  Thu, 09 Oct 2014 13:15:34 +0200

jellyfish (1.1.11-1) unstable; urgency=medium

  * New upstream version
  * Move debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 21 Mar 2014 11:31:00 +0100

jellyfish (1.1.10-1) unstable; urgency=low

  * New upstream version
    Closes: #701423
  * debian/{rules,install}: Make sure dynamic library will be installed
  * debian/control:
     - Removed DM-Upload-Allowed
     - Standards-Version: 3.9.4 (no changes needed)
     - Build-Depends autotools-dev
     - canonical VCS URLs
  * debian/lintian-overrides: Upstream decided to use a dynamic library
    without really intending to make this a development package
  * debian/doc-base: docbase control file
  * debian/patches/man: refreshed + DEP3 description

 -- Andreas Tille <tille@debian.org>  Wed, 05 Jun 2013 11:58:53 +0200

jellyfish (1.1.5-1) unstable; urgency=low

  * New upstream version fixing the FTBFS with gcc-4.7 bug
    Closes: #667214
  * debian/patches/fix-unused-but-set-variable.patch: Removed
    because applied upstream

 -- Andreas Tille <tille@debian.org>  Mon, 21 May 2012 21:56:38 +0200

jellyfish (1.1.4-1) unstable; urgency=low

  * New upstream version
  * debian/patches/ptrdiff_t: Removed because applied upstream
  * debian/patches/cmdline: Removed because upstream code was changed
    in a way that it becomes superfluous
  * debian/patches/fix-unused-but-set-variable.patch: Due to the use
    of hardening flags warnings about unused-but-set-variable becomes
    an error - start working on a patch
  * debian/source/local-options: Add dpkg-source local-options hints
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Move citation from long desciption to debian/upstream
     - debhelper (>= 9)
  * debian/upstream: Use the agreed way to specify citations
  * debian/copyright: DEP5 verified using
      cme fix dpkg-copyright
  * debian/compat: 9

 -- Andreas Tille <tille@debian.org>  Sat, 31 Mar 2012 08:50:25 +0200

jellyfish (1.1.2-1) unstable; urgency=low

  * Initial release. Closes: #644925.

 -- Shaun Jackman <sjackman@debian.org>  Mon, 10 Oct 2011 11:49:11 -0700
